
// Copyright (C) 2008 - INRIA - Michael Baudin
// Copyright (C) 2009 - Digiteo - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

extern "C" {
#include "stack-c.h" 
#include "Scierror.h"
#include "localization.h"
#include "gw_nisp.h"
}

/* ==================================================================== */

#include "nisp_gwsupport.hxx" 
#include "nisp_PolynomialChaos_map.hxx" 

/* ==================================================================== */
// 
// sci_polychaos_printgroup ( token )
//   Print the current group of variables
//
int sci_polychaos_printgroup (char *fname)
{
	int nRows, nCols;
	int token;
	double *pdblFinalVar = NULL; //SCILAB return Var
	PolynomialChaos * pc = NULL;
	int ovar;
	double quantile;
	int ny;
	double threshold;

	CheckRhs(1,1) ;
	CheckLhs(0,1) ;
	nispgw_gettoken ( fname , 1 , &token );
	nispgw_token2Polychaos ( fname , 1 , token , &pc );
	pc-> PrintGroup();
	LhsVar(1) = Rhs+1;
	return 0;
}
/* ==================================================================== */

